Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Problem with emerge -uDN world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 835
Location: /mnt/Gentoo/

PostPosted: Thu Feb 07, 2013 8:08 pm    Post subject: [SOLVED] Problem with emerge -uDN world Reply with quote

Hello,

I have such problem bellow. What to keep, what to drop?

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/icu:0

  (dev-libs/icu-49.1.2::gentoo, installed) pulled in by
    dev-libs/icu:0/0= required by (dev-libs/libxml2-2.9.0-r1::gentoo, installed)
    dev-libs/icu:0/0= required by (media-libs/libcdr-0.0.10::gentoo, installed)
    >=dev-libs/icu-49:0/0= required by (x11-libs/qt-core-4.8.4-r1::gentoo, installed)
    =dev-libs/icu-49* required by (app-office/libreoffice-bin-3.6.4.3::gentoo, installed)
    dev-libs/icu:0/0= required by (dev-db/sqlite-3.7.15.2::gentoo, installed)
    (and 1 more with the same problems)

  (dev-libs/icu-50.1.2::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

x11-libs/qt-sql:4

  (x11-libs/qt-sql-4.8.4::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/qt-sql-4.8.4::gentoo, ebuild scheduled for merge) pulled in by
    >=x11-libs/qt-sql-4.5.0:4[mysql?,postgres?] required by (app-office/akonadi-server-1.9.0::gentoo, ebuild scheduled for merge)

kde-base/libkipi:4

  (kde-base/libkipi-4.9.5::gentoo, installed) pulled in by
    <kde-base/libkipi-4.9.50 required by (media-plugins/kipi-plugins-2.9.0::gentoo, installed)
    (and 1 more with the same problem)

  (kde-base/libkipi-4.10.0::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-base/libkipi-4.10.0:4[aqua=] required by (kde-base/ksnapshot-4.10.0::gentoo, ebuild scheduled for merge)
    (and 2 more with the same problem)

kde-base/libkdcraw:4

  (kde-base/libkdcraw-4.9.5::gentoo, installed) pulled in by
    <kde-base/libkdcraw-4.9.50 required by (media-plugins/kipi-plugins-2.9.0::gentoo, installed)
    (and 1 more with the same problem)

  (kde-base/libkdcraw-4.10.0::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-base/libkdcraw-4.10.0:4[aqua=] required by (kde-base/kdegraphics-meta-4.10.0::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)


Last edited by Xywa on Fri Feb 08, 2013 10:55 am; edited 1 time in total
Back to top
View user's profile Send private message
CrankyPenguin
Apprentice
Apprentice


Joined: 19 Jun 2003
Posts: 254

PostPosted: Thu Feb 07, 2013 10:41 pm    Post subject: Reply with quote

Is this through an emerge @system or @world? In either case you might try adding a "--deep 10" to the emerge command as this will cause it to look deeper for packages to update and this may resolve the conflicts.
_________________
Linux, the OS for the obsessive-compulsive speed freak in all of us.
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 835
Location: /mnt/Gentoo/

PostPosted: Fri Feb 08, 2013 10:54 am    Post subject: Reply with quote

SOLVED - New emerge --sync solved the problem.
Back to top
View user's profile Send private message
blietaer
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2006
Posts: 103

PostPosted: Mon Feb 18, 2013 10:12 am    Post subject: Reply with quote

Well, --sync won't solve it for me...

emerge app-office/libreoffice-bin
is still giving :

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/icu:0

  (dev-libs/icu-49.1.2::gentoo, ebuild scheduled for merge) pulled in by
    =dev-libs/icu-49* required by (app-office/libreoffice-bin-3.6.4.3::gentoo, ebuild scheduled for merge)

  (dev-libs/icu-50.1.2::gentoo, installed) pulled in by
    dev-libs/icu:0/50.1.2= required by (dev-libs/libxml2-2.9.0-r1::gentoo, installed)
    dev-libs/icu:0/50.1.2= required by (dev-db/sqlite-3.7.15.2::gentoo, installed)
    dev-libs/icu:0/50.1.2= required by (dev-libs/dee-1.0.14-r1::gentoo, installed)
    dev-libs/icu:0/50.1.2= required by (media-libs/harfbuzz-0.9.12::gentoo, installed)
    >=dev-libs/icu-49:0/50.1.2= required by (x11-libs/qt-core-4.8.4-r4::gentoo, installed)
    (and 2 more with the same problems)


I have done several emerge sync & world update and this is remaining....
I am not too sure how to solve this and I really wish I had libreoffice-bin installed...

:oops:
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 835
Location: /mnt/Gentoo/

PostPosted: Mon Feb 18, 2013 5:08 pm    Post subject: Reply with quote

blietaer wrote:

I am not too sure how to solve this and I really wish I had libreoffice-bin installed...


Maybe is time for full libreoffice :)
Back to top
View user's profile Send private message
blietaer
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2006
Posts: 103

PostPosted: Wed Feb 20, 2013 10:00 am    Post subject: Reply with quote

Well,...do I want that? 8O
we speak about ~1 hour compiling, without real gain compared to the pre-compiled version right?
Am I so far away from having this issue solved?
ain't it a USE trick solution for this? :?
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 835
Location: /mnt/Gentoo/

PostPosted: Wed Feb 20, 2013 12:35 pm    Post subject: Reply with quote

blietaer wrote:
Well,...do I want that? 8O
we speak about ~1 hour compiling, without real gain compared to the pre-compiled version right?


You can do this before going sleep, and I think real gains is bit beetter cooperate with Microsoft office files. I receive many documents as MS Office and time to time there is a problem with proper formating, so feo example tables from excel for printing doesn't exactly looks like should be (this is a main reason I had to leave Open Office for Libre Office).
Back to top
View user's profile Send private message
blietaer
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2006
Posts: 103

PostPosted: Thu Feb 21, 2013 8:38 am    Post subject: Reply with quote

Right !
It was not that long...
..any USE flag you'd suggest for this ebuild ? for better MS compatibility ?
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 835
Location: /mnt/Gentoo/

PostPosted: Fri Feb 22, 2013 8:12 am    Post subject: Reply with quote

blietaer wrote:
..any USE flag you'd suggest for this ebuild ? for better MS compatibility ?


No idea, maybe someone else could suggest something?

Mys USE flags:
Code:
# equery u libreoffice
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for app-office/libreoffice-4.0.0.3:
 U I
 + + bluetooth                                   : Enables Bluetooth Support
 + + branding                                    : Enable Gentoo specific branding
 + + cups                                        : Add support for CUPS (Common Unix Printing System)
 + + dbus                                        : Enable dbus support for anything that needs it (gpsd, gnomemeeting, etc)
 - - debug                                       : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful
                                                   backtraces see http://www.gentoo.org/proj/en/qa/backtraces.xml
 - - eds                                         : Enables support for Evolution-Data-Server (EDS)
 - - gnome                                       : Adds GNOME support
 - - gstreamer                                   : Adds support for media-libs/gstreamer (Streaming media)
 + + gtk                                         : Adds support for x11-libs/gtk+ (The GIMP Toolkit)
 - - gtk3                                        : Enable highly experimental gtk3 frontend
 + + java                                        : Adds support for Java
 - - jemalloc                                    : Use dev-libs/jemalloc for allocations
 + + kde                                         : Adds support for KDE (K Desktop Environment)
 - - libreoffice_extensions_nlpsolver            : LIBREOFFICE_EXTENSIONS option to build non-linear solver for calc
 + + libreoffice_extensions_presenter-minimizer  : LIBREOFFICE_EXTENSIONS option to build presentation minimizer
 - - libreoffice_extensions_scripting-beanshell  : LIBREOFFICE_EXTENSIONS option to build beanshell scripts parser
 - - libreoffice_extensions_scripting-javascript : LIBREOFFICE_EXTENSIONS option to build javascript scripts parser
 - - libreoffice_extensions_wiki-publisher       : LIBREOFFICE_EXTENSIONS option to build mediawiki integration
 + + mysql                                       : Adds mySQL Database support
 - - odk                                         : Build the Office Development Kit
 + + opengl                                      : Adds support for OpenGL (3D graphics)
 - - postgres                                    : Adds support for the postgresql database
 + + python_single_target_python2_7              : Build for Python 2.7 only
 + + python_targets_python2_7                    : Build with Python 2.7
 - - telepathy                                   : Enable document colaboration features using telepathy communication framework.
 - - test                                        : Workaround to pull in packages needed to run with FEATURES=test. Portage-2.1.2 handles this
                                                   internally, so don't set it in make.conf/package.use anymore
 + + vba                                         : Enable support for VBA compatibility and ActiveX embedding
 + + webdav                                      : Adds support for HTTP content adding via net-libs/neon
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum